﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;

namespace WinToolbars
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Form2 f2 = new Form2();
            f2.MdiParent = this;
            f2.Show();

            Form3 f3 = new Form3();
            f3.MdiParent = this;
            f3.Show();
        }

        private void ultraTabbedMdiManager1_TabActivated(object sender, Infragistics.Win.UltraWinTabbedMdi.MdiTabEventArgs e)
        {
            if (e.Tab.TextResolved == "Form2")
            {
                foreach (RibbonGroup group in this.ultraToolbarsManager1.Ribbon.Tabs[0].Groups)
                {
                    if (group.Key == "ribbonGroup2")
                        group.Visible = false;
                    else
                        group.Visible = true;
                }
            }
            else if (e.Tab.TextResolved == "Form3")
            {
                foreach (RibbonGroup group in this.ultraToolbarsManager1.Ribbon.Tabs[0].Groups)
                {
                    if (group.Key == "ribbonGroup1")
                        group.Visible = false;
                    else
                        group.Visible = true;
                }
            }
        }
    }
}
